import pickle
import numpy as np

def filter_kld_threshold(array:np.ndarray, threshold:float):
    return np.sum(array > 0), np.sum(array <= 0)

if __name__ == '__main__':
    with open('kld_output.pickle', 'rb') as fp:
       data = pickle.load(fp)
    larger = 0
    smaler_eq = 0
    for key in data.keys():
        l, sq = filter_kld_threshold(data[key]['kld'], 0.0)
        larger += l
        smaler_eq += sq
    print(f"larger: {larger}, smaler/equal: {smaler_eq}")
