# Practical Course in High Performance Computing, Project: Kullback-Leibler-Divergenz
Vincenz Dumann, Tim van den Berg

## Download Transkription Factor Binding Site Position Count Matrices
PWMs can be downloaded from the JASPAR Database in a .pfm format. However, all JASPAR PWMs are in the file `data_files/JASPAR2022_CORE_non-redundant_pfms_jaspar.txt`

## Prepare rest
- run `setup_hpc.sh`
- customize `config.py`
- customize `parallel_run.sbatch`
- run a slurm job with the sbatch file


## extract single chromosomes
To extract a single chromosome from the unziped genome one can use the extract_chromosome.py script.

If it does not work, or you have Question, simply open an Issue or ask us directly.
