echo "download the human Genome"
wget https://ftp.ncbi.nlm.nih.gov/refseq/H_sapiens/annotation/GRCh38_latest/refseq_identifiers/GRCh38_latest_genomic.fna.gz

echo "unzip the genome"
gunzip GRCh38_latest_genomic.fna.gz

echo "load modules"
module load openmpi
module load python
module load spack-user

spack install py-numba
pip install numba

echo "to run the main program run:"
echo "    mpirun -n 5 python calculate_kld_parallel.py"
